summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2015-08-24 19:18:38 +0200
committerAlexis Ballier <aballier@gentoo.org>2015-08-24 19:18:46 +0200
commita19d5f13dd165050ece5a71c519c275debf3de46 (patch)
tree90525a14d30976c0c703d4abafb5cf49edfec5df /media-video
parentdev-php/pecl-imagick: version bump adding partial prefix support. (diff)
downloadgentoo-a19d5f13dd165050ece5a71c519c275debf3de46.tar.gz
gentoo-a19d5f13dd165050ece5a71c519c275debf3de46.tar.bz2
gentoo-a19d5f13dd165050ece5a71c519c275debf3de46.zip
media-video/mkvalidator: bump to 0.5.0.
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'media-video')
-rw-r--r--media-video/mkvalidator/Manifest1
-rw-r--r--media-video/mkvalidator/mkvalidator-0.5.0.ebuild36
2 files changed, 37 insertions, 0 deletions
diff --git a/media-video/mkvalidator/Manifest b/media-video/mkvalidator/Manifest
index ca3b80b266d..0ed28b7e4c5 100644
--- a/media-video/mkvalidator/Manifest
+++ b/media-video/mkvalidator/Manifest
@@ -2,3 +2,4 @@ DIST mkvalidator-0.3.7.tar.bz2 579174 SHA256 236247098052022757243a3c7ae5939b4ca
DIST mkvalidator-0.4.0.tar.bz2 579322 SHA256 68457cb1a11b0beffc9395690a38754bfceefb6a210cc4039f689e0e70aea520
DIST mkvalidator-0.4.1.tar.bz2 588267 SHA256 dedb36df9ea25d27795105649dcf9b5cab5de1ea03fc12c7bfade44d33cf58ba SHA512 13942cffaac8b0138df27cdbeae0afb22d90617195e1c863d2f43b46b0d0c57c9fc1637b635cdfb810bb20d80a50e2e545efdac0e636d4ae3c9fd097979b53c2 WHIRLPOOL db9ba20a956485b376f202a101fbdbf49fcb5bf88e52f93e8cea1fa4957e743e7dc6461b1c0c8ee6cb36bbb7e5e6fb0d49613f5195023b107dfa3552805f2157
DIST mkvalidator-0.4.2.tar.bz2 579080 SHA256 9f626b8ae790642d63533da00639c61ef9b0548f6e75cd17544acb352efab77f SHA512 e7b9c8fba15389fddee177b3c27fb6b1ce16f143cecb830d05989a07a06a4eac2b11e56ad39f129f2d1410a16cff481abd6dc21d7c1eb1ab3c64e9826f90869c WHIRLPOOL 69825698b3de29f187c99f33eaa513cf82e65a38dfeb9c23c7da847f457c8c108525b4b8cfd2481380107a2661ca89cc2e25041be3409bcaaa5c964c88fd4ed3
+DIST mkvalidator-0.5.0.tar.bz2 587942 SHA256 c3e72e5b49d32174415b9273ea8d52380e09ac63c8dc7db684104021c711c104 SHA512 9e4644862d67567707ba01dbeec1cba115d240449b913a8c0f42e506be9c163ba83391a720af602fd9a62f6f7901c5ea8a563e227b7d9068f042e7af98f59afb WHIRLPOOL ee5e810a7a252e1bb241ef87a49580b90ebc2e218970e82991ff5ca69ae341ba72d92378a9e18f54d01d845730c177661aa9e31f8e291623538990016b270582
diff --git a/media-video/mkvalidator/mkvalidator-0.5.0.ebuild b/media-video/mkvalidator/mkvalidator-0.5.0.ebuild
new file mode 100644
index 00000000000..36ffa8cd92f
--- /dev/null
+++ b/media-video/mkvalidator/mkvalidator-0.5.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit toolchain-funcs
+
+DESCRIPTION="mkvalidator is a command line tool to verify Matroska files for spec conformance"
+HOMEPAGE="http://www.matroska.org/downloads/mkvalidator.html"
+SRC_URI="http://downloads.sourceforge.net/project/matroska/${PN}/${P}.tar.bz2"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+src_configure() {
+ tc-export CC CXX
+ # non-standard configure
+ ./configure || die
+
+ # fixing generated makefiles
+ sed -i -e 's|^\(LFLAGS.*+=.*\$(LIBS)\)|\1 \$(LDFLAGS)|g' \
+ -e 's|^\(STRIP.*=\)|\1 echo|g' $(find -name "*.mak") || die
+}
+
+src_compile() {
+ emake -j1 V=1
+}
+
+src_install() {
+ dobin release/*/mkv*
+ newdoc ChangeLog.txt ChangeLog
+ newdoc ReadMe.txt README
+}